---
title: Disable a default inbox rule
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Disable a default inbox rule{% #disable-a-default-inbox-rule %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                                 |
| ----------------- | ------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/{rule_id}/disable |

### Overview

Disable a default inbox rule for the current organization. This endpoint requires the `security_pipelines_write` permission.

### Arguments

#### Path Parameters

| Name                      | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| rule_id [*required*] | string | The ID of the default inbox rule. Known default rule IDs include: `identity_risk_default_rule`, `secret_default_rule`, `library_vulnerability_default_rule`, `attack_path_default_rule`, `host_and_container_vulnerability_default_rule`, `runtime_code_vulnerability_default_rule`, `iac_misconfiguration_default_rule`, and `misconfiguration_default_rule`. Datadog can add new default rules over time. |

### Response

{% tab title="200" %}
Successfully disabled the default inbox rule
{% tab title="Model" %}
A single default inbox rule response.

| Parent field | Field                           | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------ | ------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]          | object   | The data object for a default inbox rule returned by the API.                                                                                                                                                                                                                                                                                                                                               |
| data         | attributes [*required*]    | object   | Attributes of a default inbox rule returned by the API.                                                                                                                                                                                                                                                                                                                                                     |
| attributes   | action [*required*]        | object   | The action to take when the inbox rule matches a finding.                                                                                                                                                                                                                                                                                                                                                   |
| action       | description                     | string   | An optional description providing more context for the rule.                                                                                                                                                                                                                                                                                                                                                |
| attributes   | created_at [*required*]    | int64    | The Unix timestamp in milliseconds when the rule definition was created. The definition is authored by Datadog.                                                                                                                                                                                                                                                                                             |
| attributes   | created_by [*required*]    | object   | The user or Datadog system who created the rule.                                                                                                                                                                                                                                                                                                                                                            |
| created_by   | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                                                                                                                                |
| created_by   | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                                                                                                                                      |
| created_by   | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                                                                                                                                       |
| attributes   | enabled [*required*]       | boolean  | Whether the default inbox rule is enabled for the organization.                                                                                                                                                                                                                                                                                                                                             |
| attributes   | modified_at [*required*]   | int64    | The Unix timestamp in milliseconds when the rule was last modified.                                                                                                                                                                                                                                                                                                                                         |
| attributes   | modified_by [*required*]   | object   | The user or Datadog system who last modified the rule.                                                                                                                                                                                                                                                                                                                                                      |
| modified_by  | id [*required*]            | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                                                                                                                                |
| modified_by  | name [*required*]          | string   | The name of the actor.                                                                                                                                                                                                                                                                                                                                                                                      |
| modified_by  | type [*required*]          | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                                                                                                                                       |
| attributes   | name [*required*]          | string   | The name of the default inbox rule.                                                                                                                                                                                                                                                                                                                                                                         |
| attributes   | rule [*required*]          | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                                                                                                                                         |
| rule         | finding_types [*required*] | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                                                                                                                                     |
| rule         | query                           | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md).                                                                                                                |
| data         | id [*required*]            | string   | The ID of the default inbox rule. Known default rule IDs include: `identity_risk_default_rule`, `secret_default_rule`, `library_vulnerability_default_rule`, `attack_path_default_rule`, `host_and_container_vulnerability_default_rule`, `runtime_code_vulnerability_default_rule`, `iac_misconfiguration_default_rule`, and `misconfiguration_default_rule`. Datadog can add new default rules over time. |
| data         | type [*required*]          | enum     | The JSON:API type for default inbox rules. Allowed enum values: `default_inbox_rules`                                                                                                                                                                                                                                                                                                                       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "action": {
        "description": "Needs triage"
      },
      "created_at": 1722439510282,
      "created_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "enabled": true,
      "modified_at": 1722439510282,
      "modified_by": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "Jane Doe",
        "type": "user"
      },
      "name": "Secrets",
      "rule": {
        "finding_types": [
          "misconfiguration"
        ],
        "query": "env:prod team:platform"
      }
    },
    "id": "secret_default_rule",
    "type": "default_inbox_rules"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export rule_id="secret_default_rule" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/security/findings/automation/default_inbox_rules/${rule_id}/disable" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
